// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnDeviceDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnDeviceDocumentScanner", targets: ["WebIdOnDeviceDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-document-scanner-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdOnDeviceDocumentScanner/13.0.0/WebIdOnDeviceDocumentScanner.framework-v13.0.0-SNAPSHOT-1340.zip",
            checksum: "e05608e0c85e91614ffca6436d455172b0b3356e5d8d79e4de85d11ad86888f4"
        ),
        .target(
            name: "WebIdOnDeviceDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnDeviceDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
